﻿<%@ Page Title="Home Page" Language="C#" MasterPageFile="~/Site.Master" AutoEventWireup="true" CodeBehind="Default.aspx.cs" Inherits="sqlbinding._Default" %>



<asp:Content runat="server" ID="BodyContent" ContentPlaceHolderID="MainContent">
    <script src="Scripts/jsondata.min.js"></script>
    <link rel="stylesheet" href="http://cdnjs.cloudflare.com/ajax/libs/font-awesome/4.4.0/css/font-awesome.min.css">
    <i class="fa fa-cloud"></i>
    <i class="fa fa-heart"></i>
    <i class="fa fa-car"></i>
    <i class="fa fa-file"></i>
    <i class="fa fa-bars"></i>
    <ej:Grid ID="OrdersGrid" runat="server" AllowPaging="True" AllowScrolling="true" >
        <EditSettings AllowEditing="True" AllowAdding="True" AllowDeleting="True"></EditSettings>
        <ToolbarSettings ShowToolbar="True" ToolbarItems="add,edit,delete,update,cancel"></ToolbarSettings>
        <Columns>
            <ej:Column Field="OrderID" HeaderText="Order ID" IsPrimaryKey="True" TextAlign="Right" />
            <ej:Column Field="CustomerID" HeaderText="Customer ID" />
            <ej:Column Field="EmployeeID" HeaderText="Employee ID" TextAlign="Right" />
            <ej:Column Field="Freight" HeaderText="Freight" TextAlign="Right" Format="{0:C}" />
            <ej:Column Field="ShipName" HeaderText="Ship Name" />
        </Columns>
    </ej:Grid>
    <ej:Button runat="server" Text="UpdateGrid" Type="Button" ClientSideOnClick="onClick" />
    <script>
        //$(function () {
        //    $("#MainContent_OrdersGrid").ejGrid({ dataSource: window.gridData });
        //})
        function onClick(args) {
            $("#MainContent_OrdersGrid").ejGrid({ dataSource: window.gridData });
        }
    </script>
</asp:Content>

